# ApplicationFramework
TKPShape
PColgp

# PColgp_HArray2OfPnt2d Class Reference

`#include <PColgp_HArray2OfPnt2d.hxx>`

## Public Member Functions

Standard_EXPORT | PColgp_HArray2OfPnt2d (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | PColgp_HArray2OfPnt2d (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const gp_Pnt2d &V)
Standard_EXPORT Standard_Integer | ColLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_EXPORT Standard_Integer | RowLength () const
Standard_EXPORT void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const gp_Pnt2d &Value)
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
Standard_EXPORT gp_Pnt2d | Value (const Standard_Integer Row, const Standard_Integer Col) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColgp_HArray2OfPnt2d ()
| PColgp_HArray2OfPnt2d (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfPnt2dmyLowerRow () const
void | _CSFDB_SetPColgp_HArray2OfPnt2dmyLowerRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfPnt2dmyLowerCol () const
void | _CSFDB_SetPColgp_HArray2OfPnt2dmyLowerCol (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfPnt2dmyUpperRow () const
void | _CSFDB_SetPColgp_HArray2OfPnt2dmyUpperRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfPnt2dmyUpperCol () const
void | _CSFDB_SetPColgp_HArray2OfPnt2dmyUpperCol (const Standard_Integer p)
const PColgp_FieldOfHArray2OfPnt2d & | _CSFDB_GetPColgp_HArray2OfPnt2dData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColgp_FieldOfHArray2OfPnt2d | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerCol
Standard_Integer | myUpperRow
Standard_Integer | myUpperCol
PColgp_FieldOfHArray2OfPnt2d | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_HArray2OfPnt2d::PColgp_HArray2OfPnt2d | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT PColgp_HArray2OfPnt2d::PColgp_HArray2OfPnt2d | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const gp_Pnt2d & | V
| ) |

PColgp_HArray2OfPnt2d::PColgp_HArray2OfPnt2d | ( |  | ) | `[inline]`

PColgp_HArray2OfPnt2d::PColgp_HArray2OfPnt2d | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColgp_FieldOfHArray2OfPnt2d& PColgp_HArray2OfPnt2d::_CSFDB_GetPColgp_HArray2OfPnt2dData | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfPnt2d::_CSFDB_GetPColgp_HArray2OfPnt2dmyLowerCol | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfPnt2d::_CSFDB_GetPColgp_HArray2OfPnt2dmyLowerRow | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfPnt2d::_CSFDB_GetPColgp_HArray2OfPnt2dmyUpperCol | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfPnt2d::_CSFDB_GetPColgp_HArray2OfPnt2dmyUpperRow | ( |  | ) | const`[inline]`

void PColgp_HArray2OfPnt2d::_CSFDB_SetPColgp_HArray2OfPnt2dmyLowerCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray2OfPnt2d::_CSFDB_SetPColgp_HArray2OfPnt2dmyLowerRow | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray2OfPnt2d::_CSFDB_SetPColgp_HArray2OfPnt2dmyUpperCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray2OfPnt2d::_CSFDB_SetPColgp_HArray2OfPnt2dmyUpperRow | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PColgp_HArray2OfPnt2d::ColLength | ( |  | ) | const

Standard_EXPORT Standard_Address PColgp_HArray2OfPnt2d::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColgp_FieldOfHArray2OfPnt2d PColgp_HArray2OfPnt2d::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColgp_HArray2OfPnt2d::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColgp_HArray2OfPnt2d::LowerCol | ( |  | ) | const

Standard_Integer PColgp_HArray2OfPnt2d::LowerRow | ( |  | ) | const

Standard_EXPORT Standard_Integer PColgp_HArray2OfPnt2d::RowLength | ( |  | ) | const

Standard_EXPORT void PColgp_HArray2OfPnt2d::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const gp_Pnt2d & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColgp_HArray2OfPnt2d::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColgp_HArray2OfPnt2d::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColgp_HArray2OfPnt2d::UpperCol | ( |  | ) | const

Standard_Integer PColgp_HArray2OfPnt2d::UpperRow | ( |  | ) | const

Standard_EXPORT gp_Pnt2d PColgp_HArray2OfPnt2d::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

PColgp_FieldOfHArray2OfPnt2d PColgp_HArray2OfPnt2d::Data `[private]`

Standard_Integer PColgp_HArray2OfPnt2d::myLowerCol `[private]`

Standard_Integer PColgp_HArray2OfPnt2d::myLowerRow `[private]`

Standard_Integer PColgp_HArray2OfPnt2d::myUpperCol `[private]`

Standard_Integer PColgp_HArray2OfPnt2d::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- PColgp_HArray2OfPnt2d.hxx